#! /bin/sh
##
#
# The user creates with this script the enviroment for CAVA.
# The CATIA variables and CAVA variables are set. 
# Additional this script creates the graphical representation
# on the CDE desktop ( see parameter: -desktop yes ).
# This script uses exclusivly the CATIA V5 commands setcatenv and
# chcatenv. The command delcatenv delete the created environment.
# ( delcatenv -e CAVA_ENV -d CAVA_ENV_PATH )
#
# The new CATSetting file for the CAVA default and administration
# values is not created here, please use Tools - Options before
# first usuage and set the values in Infrastructure - CAVA.
#             
##
#  
# The commands setcatenv and chcatenv will be available, if
# you set the variable PATH on:
# install_directory/OS_a/code/bin
# Additional you have to set LIBPATH ( AIX ), 
# LD_LIBRARY_PATH ( Solaris und Irix ) or SHLIB_PATH ( HP-UX ) on:
# install_directory/OS_a/code/bin                                                                            
# 
#
##
set +u
#
#
#
#
# Name of the new environment
#
CAVA_ENV="CATIA_CAVA"
#
# Store the new environment in this directory, the directory must exist
#
CAVA_ENV_PATH="$HOME/CATEnv"
#
# Installation directory of CAVA
#
CAVA_INSTALLATION="/home/usersf/jpotthof/tmp/CAVA_0_1_1x"
#
# Catia installation directory
#
CATIA_INSTALLATION="/usr/catiav5r11/B11"
#
case `uname` in
  AIX)
    PATH=$PATH:${CATIA_INSTALLATION}/aix_a/code/bin
    LIBPATH=$LIBPATH:${CATIA_INSTALLATION}/aix_a/code/bin 
    export PATH LIBPATH 
    if [ -z "$OSDS" ]
      then 
        OSDS="aix_a"
        export OSDS
    fi
      ;;
  HP-UX)
    PATH=$PATH:${CATIA_INSTALLATION}/hpux_b/code/bin
    SHLIB_PATH=$SHLIB_PATH:${CATIA_INSTALLATION}/hpux_b/code/bin
    export PATH SHLIB_PATH
    if [ -z "$OSDS" ]
      then 
        OSDS="hpux_b"
        export OSDS
    fi
      ;;
  IRIX*)
    PATH=$PATH:${CATIA_INSTALLATION}/irix_a/code/bin
    LD_LIBRARY_PATH=$LD_LIBRARY_PATH:${CATIA_INSTALLATION}/irix_a/code/bin
    LD_LIBRARYN32_PATH=$LD_LIBRARYN32_PATH:${CATIA_INSTALLATION}/irix_a/code/bin
    LIBPATH=$LIBPATH:${CATIA_INSTALLATION}/irix_a/code/bin 
    export PATH LD_LIBRARY_PATH
    if [ -z "$OSDS" ]
      then 
        OSDS="irix_a"
        export OSDS
    fi
      ;;
  SunOS)
    PATH=$PATH:${CATIA_INSTALLATION}/solaris_a/code/bin  
    LD_LIBRARY_PATH=$LD_LIBRARY_PATH:${CATIA_INSTALLATION}/solaris_a/code/bin
   export PATH LD_LIBRARY_PATH
    if [ -z "$OSDS" ]
      then 
        OSDS="solaris_a"
        export OSDS
    fi
      ;;
esac
#
# Not used at the moment, because there are no additional CATIA variables
#change_cat_env()
#{
#}
#

setcatenv -e $CAVA_ENV -d $CAVA_ENV_PATH -p \
  $CATIA_INSTALLATION:${CAVA_INSTALLATION} -new yes  -desktop yes -a user\
  && change_cat_env || echo "\aCreating of the environment failed."
